Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.util
Class PrintUtilities

    java.lang.Object
      cc.mallet.util.PrintUtilities

All Implemented Interfaces:
  java.awt.print.Printable

    public class PrintUtilities

extends java.lang.Object
implements java.awt.print.Printable

A simple utility class that lets you very simply print an arbitrary component. Just pass the component to the PrintUtilities.printComponent. The component you want to print doesn't need a print method and doesn't have to implement any interface or do anything special at all.

If you are going to be printing many times, it is marginally more efficient to first do the following:

        PrintUtilities printHelper = new PrintUtilities(theComponent);

then later do printHelper.print(). But this is a very tiny difference, so in most cases just do the simpler PrintUtilities.printComponent(componentToBePrinted). 7/99 Marty Hall, http://www.apl.jhu.edu/~hall/java/ May be freely used or adapted.

Field Summary

Fields inherited from interface java.awt.print.Printable
`NO_SUCH_PAGE, PAGE_EXISTS`

Constructor Summary
`PrintUtilities(java.awt.Component componentToBePrinted)`

Method Summary
`static void` | `disableDoubleBuffering(java.awt.Component c)` The speed and quality of printing suffers dramatically if any of the containers have double buffering turned on.
`static void` | `enableDoubleBuffering(java.awt.Component c)` Re-enables double buffering globally.
`void` | `print()`
`int` | `print(java.awt.Graphics g, java.awt.print.PageFormat pageFormat, int pageIndex)`
`static void` | `printComponent(java.awt.Component c)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrintUtilities

    public PrintUtilities(java.awt.Component componentToBePrinted)

Method Detail

### printComponent

    public static void printComponent(java.awt.Component c)

### print

    public void print()

### print

    public int print(java.awt.Graphics g,
                     java.awt.print.PageFormat pageFormat,
                     int pageIndex)

  Specified by:
    `print` in interface `java.awt.print.Printable`

### disableDoubleBuffering

    public static void disableDoubleBuffering(java.awt.Component c)

  The speed and quality of printing suffers dramatically if any of the containers have double buffering turned on. So this turns if off globally.

  See Also:
    `enableDoubleBuffering`

### enableDoubleBuffering

    public static void enableDoubleBuffering(java.awt.Component c)

  Re-enables double buffering globally.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD